epp_HostDeleteRsp (EPP RTK Java API Documentation)
Keywords: org.openrtk.idl.epp0705.host.epp_HostDeleteRsp class

### org.openrtk.idl.epp0705.host

# Class epp_HostDeleteRsp

- `java.lang.Object`
- - `org.openrtk.idl.epp0705.host.epp_HostDeleteRsp`

Implemented Interfaces:
  org.omg.CORBA.portable.IDLEntity

`public class epp_HostDeleteRsp`
`extends java.lang.Object`
`implements org.omg.CORBA.portable.IDLEntity`

Class that contains the elements used to represent the host delete response from the EPP server. Note usually instantiated by the RTK user, but rather by EPPHostDelete and retrieved using that class' getResponseData() method. $Header: /cvsroot/epp-rtk/epp-rtk/java/src/org/openrtk/idl/epp0705/host/epp_HostDeleteRsp.java,v 1.2 2003/09/10 21:29:59 tubadanm Exp $
$Revision: 1.2 $
$Date: 2003/09/10 21:29:59 $

See Also:
  `EPPHostDelete`, `epp_HostDeleteReq`

  ## Field Summary
  `epp_Response` | `m_rsp` The common and generic response element.

  ## Constructor Summary
  `epp_HostDeleteRsp()` Empty constructor
  `epp_HostDeleteRsp(epp_Response _m_rsp)` The constructor with initializing variables.

  ## Method Summary
  `epp_Response` | `getRsp()` Accessor method for the common and generic response element.
  `void` | `setRsp(epp_Response value)` Accessor method for the common and generic response element.
  `String` | `toString()` Converts this class into a string.

## Field Details

### m_rsp

    public epp_Response m_rsp

> The common and generic response element.
> See Also:
>   `getRsp()`

## Constructor Details

### epp_HostDeleteRsp

    public epp_HostDeleteRsp()

> Empty constructor

### epp_HostDeleteRsp

    public epp_HostDeleteRsp(epp_Response _m_rsp)

> The constructor with initializing variables.
> Parameters:
>   `_m_rsp` - The common and generic response element

## Method Details

### getRsp

    public epp_Response getRsp()

> Accessor method for the common and generic response element.
> Returns:
>   The value for the response element
> See Also:
>   `m_rsp`

### setRsp

    public void setRsp(epp_Response value)

> Accessor method for the common and generic response element.
> Parameters:
>   `value` - The new value for the response element
> See Also:
>   `m_rsp`

### toString

    public String toString()

> Converts this class into a string. Typically used to view the object in debug output.
> Returns:
>   The string representation of this object instance

Copyright © 2001-2002 - Tucows, Inc., 2003 - LibertyRMS